<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador && isFuncionario">
        <mat-toolbar>
            <span>Mi equipo de trabajo</span>
            <div class="example-spacer"></div>
        </mat-toolbar>

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>

        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>

                <!-- Weight Column -->
                <ng-container matColumnDef="id_empleado_subordinado">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID Subordinado </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_empleado_subordinado}} </td>
                </ng-container>

                <ng-container matColumnDef="nombres">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Subordinado </th>
                    <td mat-cell *matCellDef="let element">
                        {{element.empleadoSubordinado.nombres}} {{element.empleadoSubordinado.primer_apellido}} </td>
                </ng-container>

                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        <!--
                        <a class="pointer"
                            style="color: black;" matTooltip="Ver Tareas"
                            (click)="verTareaEmpleado(element.empleadoSubordinado.id_empleado_empresa)">
                            <mat-icon>search</mat-icon>
                        </a>
                        -->

                        <a class="pointer" (click)="asignarTarea(element.empleadoSubordinado.id_empleado_empresa)"
                            matTooltip="Asignar tarea">
                            <mat-icon color="primary" >note_add</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="asignarFlujo(element.empleadoSubordinado.id_empleado_empresa)"
                            matTooltip="Asignar Flujo">
                            <mat-icon>swap_horizontal_circle</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="listarFlujosTrabajador(element.empleadoSubordinado.id_empleado_empresa)"
                            matTooltip="Listar Flujos asociados al trabajador">
                            <mat-icon>vertical_split</mat-icon>
                        </a>
                        &nbsp;
                        <a class="pointer" (click)="listarTareasEmpleado(element.empleadoSubordinado.id_empleado_empresa)"
                            matTooltip="Listar Tareas asociadas al empleado">
                            <mat-icon style="color: coral;">view_list</mat-icon>
                        </a>

                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>

    </ng-container>


</div>
